Bug 68787 - FILESAVE: DOCX export: Footnote separator line problem
Summary: FILESAVE: DOCX export: Footnote separator line problem
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.5.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Miklos Vajna
QA Contact:
URL:
Whiteboard: BSA target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-31 11:36 UTC by Pénzes Dávid
Modified: 2017-08-02 10:20 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
test documents (25.54 KB, application/zip)
2013-08-31 11:36 UTC, Pénzes Dávid
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pénzes Dávid 2013-08-31 11:36:45 UTC
Created attachment 84966 [details]
test documents

When I make a document and delete the footnote or endnote separator line (Format -> Page -> Length, change 0,0%) and save DOCX.

In normal case the line vanish from my ODT document, but in Word 2007 "come back", so not "deleted".

Easy to reproduce: make a document with footnote, after you delete the footnote, save DOCX format.
Operating System: Windows 7
Version: 4.0.5.2 rc
Comment 1 Miklos Vajna 2013-09-03 15:48:31 UTC
Reproduced, the separator is indeed unconditionally written in the DOCX export filter.
Comment 2 Commit Notification 2013-09-04 14:52:35 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=330b860205c7ba69dd6603f65324d0f89ad9cd5f

fdo#68787 DOCX import: handle when w:separator is missing for footnotes



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Miklos Vajna 2013-09-04 14:55:59 UTC
The above should take care of the import part, I'll look at the export side of it a bit later.
Comment 4 Pénzes Dávid 2013-09-04 15:31:49 UTC
Thank you!
Comment 5 Commit Notification 2013-09-04 15:43:41 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3f2774c771fc54757364ed50fab9b4753d067371

fdo#68787 DOCX export: handle zero width footnote separator



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Miklos Vajna 2013-09-04 15:46:12 UTC
Implemented in master, marking as resolved.